## libblockdev 2.12

=== debian/changelog ===
libblockdev (2.12-2) unstable; urgency=medium

  * Fix gdisk dependency (Closes: #873748)

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 31 Aug 2017 15:17:21 +0200

libblockdev (2.12-1) unstable; urgency=medium

  * Replace btrfs-tools dependency with btrfs-progs (Closes: #873014)
  * libblockdev-part2: Add sgdisk and fdisk dependencies
  * libblockdev-dm2: Add dmsetup dependency
  * libblockdev-lvm2: depend on thin-provisioning-tools
  * Version some dependencies to match the code check
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 30 Aug 2017 13:27:40 +0200

libblockdev (2.11-2) unstable; urgency=medium

  * Clean out overzealous and wrong dependencies

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 24 Aug 2017 14:06:53 +0200

libblockdev (2.11-1) unstable; urgency=medium

  * New upstream release.
  * Drop all debian patches, fixed upstream:
    - debian/patches/add-gobject.patch
    - debian/patches/add-libm.patch
    - debian/patches/parted-fs-resize-pc-version.patch
  * debian/rules: drop workaround using --exec-prefix configure argument.
  * debian/libblockdev-utils-dev.install: ship new dev_utils.h

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 24 Aug 2017 13:33:12 +0200

libblockdev (2.6-1) unstable; urgency=medium

  * Initial release (Closes: #862776)

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Aug 2017 13:05:17 +0200
