=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/libblockdev-(\d\S+)-1\.tar\.gz/libblockdev-$1\.tar\.gz/ \
  https://github.com/storaged-project/libblockdev/tags .*/libblockdev-?(\d\S+)-1\.tar\.gz
