## libblockdev 2.16

=== debian/changelog ===
libblockdev (2.16-2) unstable; urgency=high

  * debian/libblockdev2.symbols: Add s390x-specific symbols

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 20 Feb 2018 07:44:30 -0500

libblockdev (2.16-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release
  * Add Multi-Arch: same to -dev packages, thanks multiarch hinter
  * Add symbols files
  * Update Vcs fields for migration to https://salsa.debian.org/

  [ Andreas Henriksson ]
  * Make libblockdev-fs2 depend on e2fsprogs (Closes: #887270)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 19 Feb 2018 19:15:55 -0500

libblockdev (2.14-3) unstable; urgency=medium

  * Team upload
  * Drop python-blockdev. It was a relatively new, unused Python 2 package.

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Dec 2017 09:29:43 -0500

libblockdev (2.14-2) unstable; urgency=medium

  * Team upload
  * Disable s390 plugin.
    It's not used in Debian and causes a FTBFS on s390x due to uninstalled
    files.

 -- Michael Biebl <biebl@debian.org>  Wed, 01 Nov 2017 14:32:01 +0100

libblockdev (2.14-1) unstable; urgency=medium

  * Team upload

  [ Andreas Henriksson ]
  * Remove myself from uploaders

  [ Michael Biebl ]
  * New upstream version 2.14
  * Fix watch file and upstream-vcs-tag
  * Drop debian/patches/Drop-s390utils-vtoc.h-include-from-s390.api.patch,
    merged upstream.
  * Install new blockdev-utils.pc in libblockdev-utils-dev
  * Bump Standards-Version to 4.1.1

 -- Michael Biebl <biebl@debian.org>  Wed, 01 Nov 2017 12:57:24 +0100

libblockdev (2.12-3) unstable; urgency=medium

  * Team upload.
  * Drop <s390utils/vtoc.h> include from s390.api.
    This header is not available in Debian and as a result causes a FTBFS on
    s390x. As it's not actually needed, simply remove the include.
    (Closes: #872977)

 -- Michael Biebl <biebl@debian.org>  Tue, 12 Sep 2017 19:38:49 +0200
