=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: libs
 Priority: optional
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Martin Pitt <mpitt@debian.org>
+Uploaders: Martin Pitt <mpitt@debian.org>
 Build-Depends: debhelper (>= 10.3),
                libtool,
                dh-python,
-               python:any,
                python3:any,
                libglib2.0-dev (>= 2.42.2),
                libgirepository1.0-dev,
@@ -21,19 +20,17 @@
                libparted-dev (>= 3.1),
                libmount-dev (>= 2.23.0),
                libblkid-dev (>= 2.23.0),
-               libpython-dev,
                libpython3-dev,
                libkmod-dev (>= 19),
                gtk-doc-tools,
                gobject-introspection,
                pylint,
-Standards-Version: 4.0.1
+Standards-Version: 4.1.1
+Vcs-Browser: https://salsa.debian.org/utopia-team/libblockdev
+Vcs-Git: https://salsa.debian.org/utopia-team/libblockdev.git
 Homepage: https://github.com/storaged-project/libblockdev
-Vcs-Git: https://anonscm.debian.org/git/pkg-utopia/libblockdev.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-utopia/libblockdev.git
 
 Package: libblockdev2
-Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -51,6 +48,7 @@
 Package: libblockdev-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libblockdev2 (= ${binary:Version}),
          gir1.2-blockdev-2.0 (= ${binary:Version}),
          ${misc:Depends}
@@ -67,24 +65,11 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${gir:Depends}
 Description: libblockdev introspection data
  This package contains the GObject introspection data of libblockdev in
  binary typelib format.
-
-Package: python-blockdev
-Section: python
-Architecture: all
-Depends: libblockdev2 (>= ${source:Version}),
-         libblockdev2 (<< ${source:Version}.1~),
-         ${python2:Depends},
-         ${shlibs:Depends},
-         ${misc:Depends}
-Description: Python 2 gobject-introspection bindings for libblockdev
- This package contains enhancements to the gobject-introspection bindings for
- libblockdev in Python 2.
 
 Package: python3-blockdev
 Section: python
@@ -92,14 +77,12 @@
 Depends: libblockdev2 (>= ${source:Version}),
          libblockdev2 (<< ${source:Version}.1~),
          ${python3:Depends},
-         ${shlibs:Depends},
          ${misc:Depends}
 Description: Python 3 gobject-introspection bindings for libblockdev
  This package contains enhancements to the gobject-introspection bindings for
  libblockdev in Python3.
 
 Package: libblockdev-utils2
-Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -111,6 +94,7 @@
 Package: libblockdev-utils-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libblockdev-utils2 (= ${binary:Version}),
          libglib2.0-dev,
          ${misc:Depends}
@@ -119,7 +103,6 @@
  with the libblockdev-utils library.
 
 Package: libblockdev-part-err2
-Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -131,6 +114,7 @@
 Package: libblockdev-part-err-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libblockdev-part-err2 (= ${binary:Version}),
          libglib2.0-dev,
          ${misc:Depends}
@@ -139,7 +123,6 @@
  with the libblockdev-part-err library.
 
 Package: libblockdev-btrfs2
-Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -152,6 +135,7 @@
 Package: libblockdev-btrfs-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libblockdev-btrfs2 (= ${binary:Version}),
          libblockdev-utils-dev (= ${binary:Version}),
          libglib2.0-dev,
@@ -161,7 +145,6 @@
  libblockdev-btrfs plugin/library.
 
 Package: libblockdev-crypto2
-Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -173,6 +156,7 @@
 Package: libblockdev-crypto-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libblockdev-crypto2 (= ${binary:Version}),
          libglib2.0-dev,
          ${misc:Depends}
@@ -181,7 +165,6 @@
  with the libblockdev-crypto plugin/library.
 
 Package: libblockdev-dm2
-Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -195,6 +178,7 @@
 Package: libblockdev-dm-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libblockdev-dm2 (= ${binary:Version}),
          libblockdev-utils-dev (= ${binary:Version}),
          libglib2.0-dev,
@@ -207,10 +191,9 @@
  with the libblockdev-dm plugin/library.
 
 Package: libblockdev-fs2
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}, e2fsprogs
 Description: file system plugin for libblockdev
  The libblockdev library plugin (and in the same time a standalone library)
  providing the functionality related to operations with file systems.
@@ -218,6 +201,7 @@
 Package: libblockdev-fs-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libblockdev-fs2 (= ${binary:Version}),
          libparted-dev,
          libmount-dev,
@@ -228,7 +212,6 @@
  with the libblockdev-fs plugin/library.
 
 Package: libblockdev-kbd2
-Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -242,6 +225,7 @@
 Package: libblockdev-kbd-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libblockdev-kbd2 (= ${binary:Version}),
          libblockdev-utils-dev (= ${binary:Version}),
          libglib2.0-dev,
@@ -251,7 +235,6 @@
  with the libblockdev-kbd plugin/library.
 
 Package: libblockdev-loop2
-Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -262,6 +245,7 @@
 Package: libblockdev-loop-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libblockdev-loop2 (= ${binary:Version}),
          libblockdev-utils-dev (= ${binary:Version}),
          libglib2.0-dev,
@@ -271,7 +255,6 @@
  with the libblockdev-loop plugin/library.
 
 Package: libblockdev-lvm2
-Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -285,6 +268,7 @@
 Package: libblockdev-lvm-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libblockdev-lvm2 (= ${binary:Version}),
          libblockdev-utils-dev (= ${binary:Version}),
          libglib2.0-dev,
@@ -294,7 +278,6 @@
  with the libblockdev-lvm plugin/library.
 
 Package: libblockdev-lvm-dbus2
-Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -306,6 +289,7 @@
 Package: libblockdev-lvm-dbus-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libblockdev-lvm-dbus2 (= ${binary:Version}),
          ${misc:Depends}
 Description: LVM DBus plugin for libblockdev - development
@@ -313,7 +297,6 @@
  with the libblockdev-lvm plugin/library.
 
 Package: libblockdev-mdraid2
-Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -326,6 +309,7 @@
 Package: libblockdev-mdraid-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libblockdev-mdraid2 (= ${binary:Version}),
          libblockdev-utils-dev (= ${binary:Version}),
          libglib2.0-dev,
@@ -335,7 +319,6 @@
  with the libblockdev-mdraid plugin/library.
 
 Package: libblockdev-mpath2
-Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -348,4 +331,20 @@
 Package: libblockdev-mpath-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libblockdev-mpath2 (= ${binary:Version}),
+         libblockdev-utils-dev (= ${binary:Version}),
+         libglib2.0-dev,
+         ${misc:Depends}
+Description: Multipath plugin for libblockdev - development
+ This package contains header files and pkg-config files needed for development
+ with the libblockdev-mpath plugin/library.
+
+Package: libblockdev-part2
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         gdisk (>= 0.8.6),
+         fdisk | util-linux (<< 2.29.2-3~)
+Description: Partitioning plugin for libblockdev
