=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@  --with python3,gir

override_dh_auto_configure:
	dh_auto_configure -- --disable-tests --without-s390

override_dh_install:
	find debian/tmp -name '*.la' | xargs rm -f
	rm -rf debian/tmp/usr/lib/python2.7
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c4
