## libblockdev 2.20

=== debian/changelog ===
libblockdev (2.20-7+deb10u1) buster; urgency=medium

  [ intrigeri ]
  * Use existing cryptsetup API for changing keyslot passphrase.
    Cherry-pick upstream fix to use existing cryptsetup API for atomically
    changing a keyslot passphrase, instead of deleting the old keyslot
    before adding the new one. This avoids data loss when attempting to
    change the passphrase of a LUKS2 device via udisks2, e.g. from GNOME
    Disks.
    Deleting a keyslot and then adding one is risky: if anything goes wrong
    before the new keyslot is successfully added, no usable keyslot is left
    and the device cannot be unlocked anymore. There's little chances this
    causes actual problems with LUKS1, but LUKS2 defaults to the memory-hard
    Argon2 key derivation algorithm, which is implemented in cryptsetup with
    the assumption that it runs as root with no MEMLOCK ulimit; this
    assumption is wrong when run by udisks2.service under
    LimitMEMLOCK=65536, which breaks adding the new keyslot, and makes us
    hit the problematic situation (user data loss) every time.
    With this change, changing a LUKS2 passphrase via udisks2 will still
    fail in some cases, until the MEMLOCK ulimit problem is solved in
    cryptsetup or workaround'ed in udisks2. But at least, if it fails, it
    will fail _atomically_ and the original passphrase will still work.
    (Closes: #928893)

 -- Michael Biebl <biebl@debian.org>  Sat, 20 Jul 2019 23:18:18 +0200

libblockdev (2.20-7) unstable; urgency=medium

  * Cherry-pick Use-512bit-keys-in-LUKS-by-default.patch:
    - Use AES-256 (512 bit key) by default. From 2.21. (Closes: #910249)

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 05 Mar 2019 01:08:22 -0500

libblockdev (2.20-6) unstable; urgency=medium

  * Don't build for non-Linux since kmod & other required deps are Linux-only
  * Don't try to build nvdimm plugin on ia64 since ndctl hasn't built there yet

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 01 Dec 2018 17:00:56 -0500

libblockdev (2.20-5) unstable; urgency=medium

  * Try to build the crypto & nvdimm plugins only on architectures
    where they will build

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 26 Nov 2018 07:27:52 -0500

libblockdev (2.20-4) unstable; urgency=medium

  * Team upload.
  * Build the new NVDIMM plugin
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 22 Nov 2018 08:18:22 -0500

libblockdev (2.20-3) unstable; urgency=medium

  * Build the new VDO plugin
  * debian/copyright: The upstream source is LGPL-2.1+ not GPL-2+
    - Thanks Thorsten Alteholz for the careful ftpmaster review

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 20 Oct 2018 20:15:54 -0400

libblockdev (2.20-2) unstable; urgency=medium

  * Team upload.
  * libblockdev2.symbols: Drop s390x specific stub symbols
  * debian/rules: drop no longer needed removal of python2
  * python3-blockdev: add python3-gi dependency (Closes: #896303)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 29 Sep 2018 12:56:11 +0200

libblockdev (2.20-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * New upstream release (LP: #1788374)
  * Use new configure switch to disable python2
  * Disable new nvdimm and vdo plugins for now
  * Ship new dbus.h in libblockdev-utils-dev
  * libblockdev2.symbols: drop internal _-prefixed symbols
  * libblockdev2.symbols: Drop bd_.*_stub symbols
  * libblockdev-kbd2.symbols: drop internal wait_for_file symbol
  * Add newly introduced symbols

  [ Jeremy Bicha ]
  * Add lintian overrides for package-name-doesnt-match-sonames:
    - Package names like libblockdev-lvm2 are more clear than libbd-lvm2
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Sep 2018 15:31:01 -0400
