=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>
-Build-Depends: debhelper (>= 10.3),
+Build-Depends: debhelper (>= 11),
                libtool,
                dh-python,
                python3:any,
@@ -17,21 +17,23 @@
                libvolume-key-dev,
                libbytesize-dev,
                libnss3-dev (>= 3.18.0),
+               libndctl-dev (>= 63-1.2~) [!hppa !ia64 !powerpc !powerpcspe !x32],
                libparted-dev (>= 3.1),
                libmount-dev (>= 2.23.0),
                libblkid-dev (>= 2.23.0),
                libpython3-dev,
+               libyaml-dev,
                libkmod-dev (>= 19),
                gtk-doc-tools,
                gobject-introspection,
                pylint,
-Standards-Version: 4.1.1
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/utopia-team/libblockdev
 Vcs-Git: https://salsa.debian.org/utopia-team/libblockdev.git
 Homepage: https://github.com/storaged-project/libblockdev
 
 Package: libblockdev2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Library for manipulating block devices
@@ -47,7 +49,7 @@
 
 Package: libblockdev-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: libblockdev2 (= ${binary:Version}),
          gir1.2-blockdev-2.0 (= ${binary:Version}),
@@ -62,7 +64,7 @@
 
 Package: gir1.2-blockdev-2.0
 Section: introspection
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
@@ -76,6 +78,7 @@
 Architecture: all
 Depends: libblockdev2 (>= ${source:Version}),
          libblockdev2 (<< ${source:Version}.1~),
+         python3-gi,
          ${python3:Depends},
          ${misc:Depends}
 Description: Python 3 gobject-introspection bindings for libblockdev
@@ -83,7 +86,7 @@
  libblockdev in Python3.
 
 Package: libblockdev-utils2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -93,7 +96,7 @@
 
 Package: libblockdev-utils-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: libblockdev-utils2 (= ${binary:Version}),
          libglib2.0-dev,
@@ -103,7 +106,7 @@
  with the libblockdev-utils library.
 
 Package: libblockdev-part-err2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -113,7 +116,7 @@
 
 Package: libblockdev-part-err-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: libblockdev-part-err2 (= ${binary:Version}),
          libglib2.0-dev,
@@ -123,18 +126,18 @@
  with the libblockdev-part-err library.
 
 Package: libblockdev-btrfs2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          btrfs-progs
 Description: BTRFS plugin for libblockdev
- The libblockdev library plugin (and in the same time a standalone library)
+ The libblockdev library plugin (and at the same time a standalone library)
  providing the BTRFS-related functionality.
 
 Package: libblockdev-btrfs-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: libblockdev-btrfs2 (= ${binary:Version}),
          libblockdev-utils-dev (= ${binary:Version}),
@@ -145,17 +148,17 @@
  libblockdev-btrfs plugin/library.
 
 Package: libblockdev-crypto2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: Crypto plugin for libblockdev
- The libblockdev library plugin (and in the same time a standalone library)
+ The libblockdev library plugin (and at the same time a standalone library)
  providing the functionality related to encrypted devices (LUKS).
 
 Package: libblockdev-crypto-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: libblockdev-crypto2 (= ${binary:Version}),
          libglib2.0-dev,
@@ -165,19 +168,19 @@
  with the libblockdev-crypto plugin/library.
 
 Package: libblockdev-dm2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          dmsetup (>= 1.02.93),
          dmraid
 Description: Device Mapper plugin for libblockdev
- The libblockdev library plugin (and in the same time a standalone library)
+ The libblockdev library plugin (and at the same time a standalone library)
  providing the functionality related to Device Mapper.
 
 Package: libblockdev-dm-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: libblockdev-dm2 (= ${binary:Version}),
          libblockdev-utils-dev (= ${binary:Version}),
@@ -191,16 +194,16 @@
  with the libblockdev-dm plugin/library.
 
 Package: libblockdev-fs2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}, e2fsprogs
 Description: file system plugin for libblockdev
- The libblockdev library plugin (and in the same time a standalone library)
+ The libblockdev library plugin (and at the same time a standalone library)
  providing the functionality related to operations with file systems.
 
 Package: libblockdev-fs-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: libblockdev-fs2 (= ${binary:Version}),
          libparted-dev,
@@ -212,19 +215,19 @@
  with the libblockdev-fs plugin/library.
 
 Package: libblockdev-kbd2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          bcache-tools (>= 1.0.8)
 Description: kernel block device plugin for libblockdev
- The libblockdev library plugin (and in the same time a standalone library)
+ The libblockdev library plugin (and at the same time a standalone library)
  providing the functionality related to kernel block devices (namely zRAM and
  Bcache).
 
 Package: libblockdev-kbd-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: libblockdev-kbd2 (= ${binary:Version}),
          libblockdev-utils-dev (= ${binary:Version}),
@@ -235,16 +238,16 @@
  with the libblockdev-kbd plugin/library.
 
 Package: libblockdev-loop2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Loop device plugin for libblockdev
- The libblockdev library plugin (and in the same time a standalone library)
+ The libblockdev library plugin (and at the same time a standalone library)
  providing the functionality related to loop devices.
 
 Package: libblockdev-loop-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: libblockdev-loop2 (= ${binary:Version}),
          libblockdev-utils-dev (= ${binary:Version}),
@@ -255,19 +258,19 @@
  with the libblockdev-loop plugin/library.
 
 Package: libblockdev-lvm2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          lvm2 (>= 2.02.116),
          thin-provisioning-tools
 Description: LVM plugin for libblockdev
- The libblockdev library plugin (and in the same time a standalone library)
+ The libblockdev library plugin (and at the same time a standalone library)
  providing the LVM-related functionality.
 
 Package: libblockdev-lvm-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: libblockdev-lvm2 (= ${binary:Version}),
          libblockdev-utils-dev (= ${binary:Version}),
@@ -278,17 +281,17 @@
  with the libblockdev-lvm plugin/library.
 
 Package: libblockdev-lvm-dbus2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: LVM DBus plugin for libblockdev
- The libblockdev library plugin (and in the same time a standalone library)
+ The libblockdev library plugin (and at the same time a standalone library)
  providing the LVM-related functionality utilizing the LVM DBus API.
 
 Package: libblockdev-lvm-dbus-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: libblockdev-lvm-dbus2 (= ${binary:Version}),
          ${misc:Depends}
@@ -297,18 +300,18 @@
  with the libblockdev-lvm plugin/library.
 
 Package: libblockdev-mdraid2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          mdadm (>= 3.3.2)
 Description: MD RAID plugin for libblockdev
- The libblockdev library plugin (and in the same time a standalone library)
+ The libblockdev library plugin (and at the same time a standalone library)
  providing the functionality related to MD RAID.
 
 Package: libblockdev-mdraid-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: libblockdev-mdraid2 (= ${binary:Version}),
          libblockdev-utils-dev (= ${binary:Version}),
@@ -319,18 +322,18 @@
  with the libblockdev-mdraid plugin/library.
 
 Package: libblockdev-mpath2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          multipath-tools (>= 0.4.9)
 Description: Multipath plugin for libblockdev
- The libblockdev library plugin (and in the same time a standalone library)
+ The libblockdev library plugin (and at the same time a standalone library)
  providing the functionality related to multipath devices.
 
 Package: libblockdev-mpath-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: libblockdev-mpath2 (= ${binary:Version}),
          libblockdev-utils-dev (= ${binary:Version}),
@@ -338,13 +341,3 @@
          ${misc:Depends}
 Description: Multipath plugin for libblockdev - development
  This package contains header files and pkg-config files needed for development
- with the libblockdev-mpath plugin/library.
-
-Package: libblockdev-part2
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         gdisk (>= 0.8.6),
-         fdisk | util-linux (<< 2.29.2-3~)
-Description: Partitioning plugin for libblockdev
