=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                libtool,
+               autoconf-archive,
                dh-python,
                python3:any,
                libglib2.0-dev (>= 2.42.2),
@@ -27,7 +28,7 @@
                gtk-doc-tools,
                gobject-introspection,
                pylint,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/utopia-team/libblockdev
 Vcs-Git: https://salsa.debian.org/utopia-team/libblockdev.git
 Homepage: https://github.com/storaged-project/libblockdev
@@ -340,4 +341,3 @@
          libglib2.0-dev,
          ${misc:Depends}
 Description: Multipath plugin for libblockdev - development
- This package contains header files and pkg-config files needed for development
