## libblockdev 2.23

=== debian/changelog ===
libblockdev (2.23-2ubuntu3) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 05:41:58 +0000

libblockdev (2.23-2ubuntu2) focal; urgency=medium

  * Omit libblockdev-mpath and libblockdev-plugins-all on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 23 Dec 2019 15:29:17 -0600

libblockdev (2.23-2) unstable; urgency=medium

  * Team upload
  * Build-Depend on dh-sequence-gir & dh-sequence-python3
  * Enable libblockdev-nvdimm on all non-Linux architectures except ia64

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 19 Oct 2019 05:39:45 -0400

libblockdev (2.23-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.4.1
  * Update symbols files

 -- Michael Biebl <biebl@debian.org>  Tue, 15 Oct 2019 22:28:01 +0200
