=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: libblockdev
 Section: libs
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>
 Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gir,
+               dh-sequence-python3,
                libtool,
                autoconf-archive,
-               dh-python,
                python3:any,
                libglib2.0-dev (>= 2.42.2),
                libgirepository1.0-dev,
@@ -18,7 +20,7 @@
                libvolume-key-dev,
                libbytesize-dev,
                libnss3-dev (>= 3.18.0),
-               libndctl-dev (>= 63-1.2~) [!hppa !ia64 !powerpc !powerpcspe !x32],
+               libndctl-dev (>= 63-1.2~) [!ia64],
                libparted-dev (>= 3.1),
                libmount-dev (>= 2.23.0),
                libblkid-dev (>= 2.23.0),
@@ -26,9 +28,8 @@
                libyaml-dev,
                libkmod-dev (>= 19),
                gtk-doc-tools,
-               gobject-introspection,
                pylint,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/utopia-team/libblockdev
 Vcs-Git: https://salsa.debian.org/utopia-team/libblockdev.git
 Homepage: https://github.com/storaged-project/libblockdev
@@ -340,4 +341,3 @@
          libblockdev-utils-dev (= ${binary:Version}),
          libglib2.0-dev,
          ${misc:Depends}
-Description: Multipath plugin for libblockdev - development
