=== debian/rules ===
--- 
+++ 
@@ -3,18 +3,23 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 
-# Don't build nvdimm binary packages on those architectures.
+# Don't build nvdimm binary packages on these architectures.
 # We do it this way since we can't set excluded Architectures
 # for binary packages in debian/control but it's easier to keep track
 # of the architectures we don't want than all the arches we do want
 # The arch list comes from https://buildd.debian.org/status/package.php?p=ndctl
-ifneq (,$(filter hppa ia64 powerpc powerpcspe x32,$(DEB_HOST_ARCH)))
+ifneq (,$(filter ia64,$(DEB_HOST_ARCH)))
 CONF_FLAGS += --without-nvdimm
 BUILD_PACKAGES = -Nlibblockdev-nvdimm-dev -Nlibblockdev-nvdimm2
 endif
 
+ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
+   BUILD_PACKAGES += -Nlibblockdev-mpath-dev -Nlibblockdev-mpath2 -Nlibblockdev-plugins-all
+endif
+
+
 %:
-	dh $@  --with python3,gir $(BUILD_PACKAGES)
+	dh $@ $(BUILD_PACKAGES)
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
